<?xml version="1.0" encoding="utf-8"?>
<LinearLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:background="@color/page_bsg"
    android:orientation="vertical"
    app:layout_behavior="@string/appbar_scrolling_view_behavior"
    tools:context=".reports.countervaluevolume.CounterValueVolumeDetailActivity"
    tools:showIn="@layout/activity_counter_value">

    <androidx.recyclerview.widget.RecyclerView
        android:id="@+id/rec_subaxe"
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:layout_margin="@dimen/custom_margin2dp" />

    <LinearLayout
        android:layout_width="match_parent"
        android:layout_height="wrap_content"
        android:orientation="vertical">

        <LinearLayout
            android:layout_width="match_parent"
            android:layout_height="@dimen/margin1dp"
            android:layout_margin="@dimen/custom_margin"
            android:background="@color/gray" />

        <LinearLayout
            android:id="@+id/rlCounterVolume"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin1dp"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:orientation="vertical"
                tools:ignore="UselessParent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin2dp"
                    android:orientation="vertical"
                    android:padding="@dimen/custom_margin">

                    <TextView
                        android:id="@+id/tvCounterValue"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/counter_volume"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_16sp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/margin1dp"
                        android:layout_margin="@dimen/custom_margin"
                        android:background="@color/gray" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:baselineAligned="false"
                        android:orientation="horizontal"
                        android:weightSum="2">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:layout_weight="1"
                            android:gravity="center|end"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tvMTDVolumePlaceholder"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:gravity="center|end"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/mtd_volume"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/AvgPerDayVolumePlaceholder"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center|end"
                                android:gravity="center|end"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/avgper_day_volume"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <LinearLayout
                    android:id="@+id/rlTesterCounter"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:orientation="horizontal"
                    android:layout_margin="@dimen/custom_margin"
                    android:background="@drawable/gradient_bsg"
                    android:padding="@dimen/button_margin"
                    android:weightSum="2"
                    android:baselineAligned="false">
                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/tvMTDVolume"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:gravity="center|end"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />
                    </LinearLayout>

                    <LinearLayout
                        android:layout_width="0dp"
                        android:layout_height="match_parent"
                        android:layout_gravity="center"
                        android:layout_weight="1"
                        android:gravity="center"
                        android:orientation="vertical">

                        <TextView
                            android:id="@+id/AvgPerDayVolume"
                            android:layout_width="wrap_content"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center|end"
                            android:gravity="center|end"
                            android:padding="@dimen/custom_margin"
                            android:textColor="@color/black"
                            android:textSize="@dimen/text_size_16sp"
                            android:textStyle="bold" />
                    </LinearLayout>
                </LinearLayout>
            </LinearLayout>
        </LinearLayout>

        <LinearLayout
            android:id="@+id/rlCounterVolumeDetails"
            android:layout_width="match_parent"
            android:layout_height="wrap_content"
            android:layout_margin="@dimen/margin1dp"
            android:orientation="vertical"
            android:visibility="visible">

            <LinearLayout
                android:layout_width="match_parent"
                android:layout_height="wrap_content"
                android:layout_marginTop="@dimen/fab_margin"
                android:orientation="vertical"
                tools:ignore="UselessParent">

                <LinearLayout
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_margin="@dimen/custom_margin3dp"
                    android:orientation="vertical"
                    android:padding="@dimen/custom_margin">

                    <TextView
                        android:id="@+id/tvCounterVolumeDetail"
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:gravity="center_vertical"
                        android:padding="@dimen/custom_layout_margin11"
                        android:text="@string/counter_top_10_volume_details"
                        android:textColor="@color/black"
                        android:textSize="@dimen/text_size_16sp"
                        android:textStyle="bold" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="@dimen/margin1dp"
                        android:layout_margin="@dimen/custom_margin"
                        android:background="@color/gray" />

                    <LinearLayout
                        android:layout_width="match_parent"
                        android:layout_height="wrap_content"
                        android:padding="@dimen/custom_margin3dp"
                        android:orientation="horizontal"
                        android:weightSum="4">

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="1"
                            android:gravity="center_vertical"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tvParamCode"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:gravity="center_vertical"
                                android:padding="@dimen/custom_margin"
                                android:text="Axe Code"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center_vertical"
                            android:layout_weight="1.3"
                            android:gravity="center_vertical"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tvParamName"
                                android:layout_width="match_parent"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center|end"
                                android:gravity="center|end"
                                android:padding="@dimen/custom_margin"
                                android:text="CORE MAKEUP"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight=".7"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tvMTDVolumeDetail"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center|end"
                                android:gravity="center|end"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/mtd_volume"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>

                        <LinearLayout
                            android:layout_width="0dp"
                            android:layout_height="wrap_content"
                            android:layout_gravity="center"
                            android:layout_weight="1"
                            android:gravity="center"
                            android:orientation="vertical">

                            <TextView
                                android:id="@+id/tvAvgPerDayVolumeDetail"
                                android:layout_width="wrap_content"
                                android:layout_height="wrap_content"
                                android:layout_gravity="center|end"
                                android:gravity="center|end"
                                android:padding="@dimen/custom_margin"
                                android:text="@string/avgper_day_volume"
                                android:textColor="@color/black"
                                android:textSize="@dimen/txt_size_14sp"
                                android:textStyle="bold" />
                        </LinearLayout>
                    </LinearLayout>
                </LinearLayout>

                <androidx.recyclerview.widget.RecyclerView
                    android:id="@+id/recyclCounterVolumeDetail"
                    android:layout_width="match_parent"
                    android:layout_height="wrap_content"
                    android:layout_gravity="center"
                    android:layout_margin="@dimen/custom_margin" />
            </LinearLayout>
        </LinearLayout>
    </LinearLayout>


</LinearLayout>